export default {
  all: {
    list: 'group/ve/get/groups/',
    create: 'group/ed/set',
    delete: 'group/ed/delete',
    update: 'group/id',
    edit: 'group/id',
    updateAvatar: 'group/ed/avatar/',

  },
  groups: {
    list: 'group/ve/get/groups/',
    create:  'group/ed/set',
    delete: 'group/ed/delete',
    update: 'group/ed/set',
    parent : 'group/ed/parent',
    edit: 'group/id',
    updateAvatar: 'group/ed/avatar/',
    addMember: 'group/ed/setmembers/',
    groupMembers: 'group/ve/members/ext/list/',
    invite: 'group/invite',
    leave: 'group/ed/leave',

  },
  forms:{
    // get:'keyvalue/forms/get',
    // list:'keyvalue/forms/list',
    // add:'keyvalue/forms/add',
    // edit:'keyvalue/forms/edit',
    // delete:'keyvalue/forms/delete',
    groupTypes:'entity/types/list'
  },
  lobbies: {
    list: 'group/ve/get/lobby/1',
    create:  'group/ed/set',
    delete: 'group/ed/delete',
    update: 'group/id',
    edit: 'group/id',
    updateAvatar: 'group/ed/avatar/',

  },
  privates: {
    // list: 'message/private/list/',
    list: 'message/private/list/similar/',
    create: 'group/ed/set',
    delete: 'message/delete',
    update: 'group/id',
    edit: 'group/id',
    updateAvatar: 'group/ed/avatar/',

  },
  entity:{
    get: "get",  
  },
  // myMessages: {
  //   list: "message/get/ext/",
  //   create: 'message/set',
  //   delete: 'message/id/delete',
  //   update: 'message/id',
  //   edit: 'message/id',
  // },
  unReads: {
    list: "group/seen/list",
    create: 'message/set',
    delete: 'message/id/delete',
    update: 'message/id',
    edit: 'message/id',
    groups: 'group/seen/group/',
    privates: 'group/seen/user/',

  },
  messages: {
    list: "message/get/ext/",
    virtualList: "message/get/virtual/",
    create: 'message/set',
    delete: 'message/id/delete',
    update: 'message/id',
    edit: 'message/id',
    show: 'message/get/info/@group_id/@messge_id',
  },
  // otherApi: {
  //   list: "message/get/group",
  //   update1:'message/get',
  // },
}